Bug Hunting Session
Bug 84051 - "Distribute on multiple sheets of paper" does not work any more in 4.3.2.1
Summary: "Distribute on multiple sheets of paper" does not work any more in 4.3.2.1
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.3.2.1 rc
Hardware: All All
: high major
Assignee: Clément Lassieur
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2014-09-18 15:25 UTC by Kevin Suo
Modified: 2015-12-15 11:03 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2014-09-18 15:25:28 UTC

    
Comment 1 Kevin Suo 2014-09-18 15:37:24 UTC
In Draw versions before 4.3.1.2, when you set page size to A2, and in printing set paper size as A4 and have "Distribute on multiple sheets of paper" selected, page will be printed to 9 pages. This feature does not work anymore in version 4.3.2.1.

Steps to reproduce:
1. New Draw;
2. "Format - Page", set size to A2;
3. "File - Print - LibreOffice Draw", select "Distribute on multiple sheets of paper".
4. Observe the print preview on the left, or print to file, or print to real paper.

Current Behaviour:
Page still on one sheet in step 4, version 4.3.2.1.

Expected Behaviour:
Page should be distribute on multiple sheets (For me in version 4.3.1.2 Fedora 20, it was distributed on 9 sheets).

OS: Fedora 20 x64, Win 7 X86
Version: 4.3.2.1
Build ID: f9b3ad49d92181b0a1fe7e76f785a2c2cd0847d3

This bug was first filed in the Chinese LibreOffice discussion forum:
http://www.libreofficechina.org/thread-343-1-1.html
And was confirmed by several users.
Comment 2 jmxhyz 2014-09-21 11:37:04 UTC
reproduce in new version.

LO Version: 4.3.2.2
Build ID: edfb5295ba211bd31ad47d0bad0118690f76407d
OS: XUbuntu 14.04 x64
Comment 3 Robinson Tryon (qubit) 2014-09-23 06:13:11 UTC
CONFIRMED regression.

TESTING with LO 4.3.2.1, 4.3.1.2
and Ubuntu 14.04

(In reply to comment #1)
> In Draw versions before 4.3.1.2, when you set page size to A2, and in
> printing set paper size as A4 and have "Distribute on multiple sheets of
> paper" selected, page will be printed to 9 pages. This feature does not work
> anymore in version 4.3.2.1.

IIRC, the A* page sizes are based on doubling:
A4 * 2 = A3
A3 * 2 = A2

So a sheet of A2 printed out on A4 paper should come out as 4 sheets, right? Not sure about the 9-page number, although that might be related...?

> Steps to reproduce:
> 1. New Draw;
> 2. "Format - Page", set size to A2;
> 3. "File - Print - LibreOffice Draw", select "Distribute on multiple sheets
> of paper".
> 4. Observe the print preview on the left, or print to file, or print to real
> paper.

LO 4.3.1.2: Prints to a 4 page document
LO 4.3.2.1: Prints to a 1 page document
Comment 4 jmxhyz 2014-10-10 03:04:14 UTC
reproduce in new version.

LO Version: 4.3.3.1
Build ID: 7d55112667c8fcddb67bc3803796b46c93aa56b0
OS: XUbuntu 14.04 x64
Comment 5 Kevin Suo 2014-10-27 02:52:57 UTC
Set a higher priority because it causes broken of functions and is a regression.
Comment 6 Kevin Suo 2014-11-04 03:03:54 UTC
Bibisected using lo-linux-dbgutil-daily

d4ab3d6eff7e29da4ca33273c0c5e2ec97159181 is the first bad commit
commit d4ab3d6eff7e29da4ca33273c0c5e2ec97159181
Author: Miklos Vajna <vmiklos@collabora.co.uk>
Date:   Wed Aug 20 11:09:16 2014 +0000

    2014-08-20

:100644 100644 a071277dc00c786121880121bfd9b626a9c989c3 4159f354eacd6a0eb45a33296ded034d25d94936 M	build-info.txt
:040000 040000 9d921202c0fddf83ae9a3863e9e56eabf53c6f9d fa0aff903f6b7ff4bb6db21d33e73031b4927a95 M	opt

(P.S.: Why is there not a SOURCE-HASH for this bisect result?)
Comment 7 Kevin Suo 2014-11-04 08:03:31 UTC
Commit a7eed1e17cfb101210db8aa839171f00d0730582 is the most suspicious.

author	Eilidh McAdam <eilidh@lanedo.com>	2014-06-23 19:55:21 (GMT)
committer	Matúš Kukan <matus.kukan@collabora.com>	2014-08-20 06:40:03 (GMT)
commit	a7eed1e17cfb101210db8aa839171f00d0730582 (patch)

Make Draw use paper size when printing - fdo#63905
Previously, Draw/Impress use the default size from the printer. Now Draw uses the paper size (specified in page formatting). Impress still uses the old method - not sure if this is correct but printing handouts etc probably complicate print/paper size. 


That commit fixed Bug 63905 - FORMATTING: Page format in draw is not sent to the printer.

(In Draw, there is a feature to "Distribute on multiple sheets of paper" when printing. But the fix to bug 63905 makes this useful feature broken).
Comment 8 Clément Lassieur 2014-12-22 07:34:57 UTC
(In reply to Robinson Tryon (qubit) from comment #3)

> IIRC, the A* page sizes are based on doubling:
> A4 * 2 = A3
> A3 * 2 = A2
> 
> So a sheet of A2 printed out on A4 paper should come out as 4 sheets, right?
> Not sure about the 9-page number, although that might be related...?

LibreOffice doesn’t change the page orientation while doing the distribution, and 4 portrait A4 cover 1 portrait A3.
Comment 9 tmacalp 2014-12-30 19:30:39 UTC
This is a horrible regression.  It makes it completely impossible to print any type of multi-page banner in Draw.  This is a feature that that our users simply can't live without.

The patch that caused this regression was implemented in 4.4.0, 4.3.2, and 4.2.7, so there are no recent versions of ANY branches that remain unaffected.

IMO, bug 63905's patch causes FAR more damage than it fixes and should be removed until it can be reworked.  It should be removed from 4.2.X branch, though I believe 4.2.X is EOL at this point.
Comment 10 Clément Lassieur 2015-01-02 07:39:05 UTC
(In reply to tmacalp from comment #9)

I did this patch: https://gerrit.libreoffice.org/#/c/13577/, which seems to fix the issue.

It’s been waiting for review for a few days now, no idea whether I should find someone to actually do the review (it’s my first patch).
Comment 11 tmacalp 2015-01-02 14:56:57 UTC
Also, starting with the same problem commit, Draw's "Fit to printable page" no longer works.  To get the print dialog to acknowledge the printer dialog's paper size, you have to select "Use only paper size from printer preferences."  And even then, it doesn't actually shrink the image to the page.  It crops it.  So, it really does behave exactly like "Original size."

It looks like there is an existing report open specifically for this "Fit to printable page" issue(bug 87804).  I'll add it as a "See Also."
Comment 12 Joel Madero 2015-01-05 17:16:57 UTC
Adding bibisected to whiteboard as bisected keyword is a subset of bibisected whiteboard.

Thanks!
Comment 13 granier 2015-06-08 21:14:38 UTC
Hi, to Clément Lassieur who wrote comment #10 : your fix seem to be abandoned, nothing new ? 
I'm very interested in fixing this big regression and i'm not able to help in anyway…
Thanks
Comment 14 Clément Lassieur 2015-06-09 06:29:26 UTC
(In reply to granier from comment #13)

Hi granier,

See bug 63905, the fix should be available in the latest official builds.

I’ll appreciate your feedback!
Comment 15 Robinson Tryon (qubit) 2015-12-15 11:03:06 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]